Description:

Compute the Boolean Union of a set of Breps.

Syntax:
public static Brep[] CreateBooleanUnion(
IEnumerable<Brep> breps,
double tolerance,
bool manifoldOnly,
out Point3d[] nakedEdgePoints,
out Point3d[] badIntersectionPoints,
out Point3d[] nonManifoldEdgePoints
)
Parameters:
  • breps
  • Type: IEnumerable<Brep>
  • Breps to union.
  • tolerance
  • Type: double
  • Tolerance to use for union operation.
  • manifoldOnly
  • Type: bool
  • If true, non-manifold input breps are ignored.
  • nakedEdgePoints
  • Type: Point3d[]
  • If Boolean failed because the intersection hit a naked edge, a point will be added where the intersection hits the edge.
  • badIntersectionPoints
  • Type: Point3d[]
  • If Boolean failed because an intersection ends on the interior of both surfaces, a point is added.This happens when the surface intersector fails.
  • nonManifoldEdgePoints
  • Type: Point3d[]
  • If Boolean failed because the intersection hit a non-manifold edge, a point will be added where the intersection hits the edge.
Returns:
Type: Brep[]
An array of Brep results or None on failure.
Available since:
8.0

Description:

Compute the Boolean Union of a set of Breps.

Syntax:
public static Brep[] CreateBooleanUnion(
IEnumerable<Brep> breps,
double tolerance,
bool manifoldOnly
)
Parameters:
  • breps
  • Type: IEnumerable<Brep>
  • Breps to union.
  • tolerance
  • Type: double
  • Tolerance to use for union operation.
  • manifoldOnly
  • Type: bool
  • If true, non-manifold input breps are ignored.
Returns:
Type: Brep[]
An array of Brep results or None on failure.
Available since:
6.0

Description:

Compute the Boolean Union of a set of Breps.

Syntax:
public static Brep[] CreateBooleanUnion(
IEnumerable<Brep> breps,
double tolerance
)
Parameters:
  • breps
  • Type: IEnumerable<Brep>
  • Breps to union.
  • tolerance
  • Type: double
  • Tolerance to use for union operation.
Returns:
Type: Brep[]
An array of Brep results or None on failure.
Available since:
5.0

/
/
/
CreateBooleanUnion

CreateBooleanUnion method

Class:  Rhino.Geometry.Brep

Nothing found